﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace RazorDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnExecute_Click(object sender, EventArgs e)
        {

            Engine engine = new Engine();
            dynamic model= new AnonymousDynamicType(new {Text=txtInput.Text});
            string result = engine.Execute(txtCode.Text, "_RazorDemo", GetSafeClassName(),model );
            txtExecuteResult.Text = result;
            txtCodeResult.Text = engine.LastGeneratedCode;



        }

        private void Form1_Load(object sender, EventArgs e)
        {
            txtCode.Text = @"@Model.Text
@for(int i=0;i<10;i++)
{
    @:行数 @i.ToString()
}

";
        }

        private string GetSafeClassName()
        {

            return "_" + Guid.NewGuid().ToString().Replace("-", "_");

        }
    }
}
